#version 300 es

in vec2 vTexcoord0;

uniform vec4 modelColor;
uniform sampler2D srcTex;
out vec4 outColor;

void main()
{	
	vec4 srcColor = texture(srcTex, vTexcoord0);
	outColor = vec4(srcColor.xyz,1.0)*modelColor;
}
